using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Enums.PF;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.AE
{
    /// <summary>
    /// 事故调查小组 副组长
    /// </summary>
    [Description("事故调查小组副组长")]
    public class T_AE_ACCIDENT_SURVEY_TEAM_DEPUTY_LEADER : MesEntityBase
    {
        /// <summary>
        /// 事故调查小组成员表ID
        /// </summary>
        [Description("事故调查小组成员表ID")]
        [DataFieldForeignKey("Nav_TeamMember", "Nav_DeputyLeaderUser")]
        public Guid TEAM_MEMBER_ID { get; set; }

        /// <summary>
        /// 导航属性：事故调查小组成员表
        /// </summary>
        [Description("导航属性：事故调查小组成员表")]
        public virtual T_AE_ACCIDENT_SURVEY_TEAM_MEMBER Nav_TeamMember { get; set; }

        /// <summary>
        /// 人员ID
        /// </summary>
        [Description("人员")]
        [DataFieldForeignKey("Nav_User")]
        public Guid? USER_ID { get; set; }

        /// <summary>
        /// 导航属性：人员
        /// </summary>
        [Description("导航属性：人员")]
        public virtual T_FM_USER Nav_User { get; set; }
    }
}
